Python 2.4 / WinXP / distutils error (cookbook example)

magoldfish at yahoo.com magoldfish at yahoo.com
Mon Mar 7 21:24:23 CET 2005


Hi,

I've installed Python 2.4 on Windows XP and walked through the Alex
Martelli ASPN cookbook example at:

http://aspn.activestate.com/ASPN/Cookbook/Python/Recipe/66509

This is a recipe for a simple extension type for Python.  When I try to
build and install it, however, I get an error:

   c:\temp\el>python setup.py install
   running install
   running build
   running build_ext
   error: The .NET Framework SDK needs to be installed before
   building extensions for Python.

I have Visual Studio .NET Professional installed.

Can anyone point me in the right direction?

Thanks!
Marcus




More information about the Python-list mailing list